{ config, pkgs, ... }:
{
  # Set your time zone.
  time.timeZone = "America/Los_Angeles";

  # Select internationalisation properties.
  i18n.defaultLocale = "en_US.UTF-8";

  i18n.extraLocaleSettings = {
    LC_ADDRESS = "en_US.UTF-8";
    LC_IDENTIFICATION = "en_US.UTF-8";
    LC_MEASUREMENT = "en_US.UTF-8";
    LC_MONETARY = "en_US.UTF-8";
    LC_NAME = "en_US.UTF-8";
    LC_NUMERIC = "en_US.UTF-8";
    LC_PAPER = "en_US.UTF-8";
    LC_TELEPHONE = "en_US.UTF-8";
    LC_TIME = "en_US.UTF-8";
  };

  environment.pathsToLink = [ "/share/bash-completion" ];
  environment.sessionVariables = rec {
    NIXOS_OZONE_WL = "1";
    # SDDM_INITIAL_VT = "VT 7";

    # https://discourse.nixos.org/t/guide-to-installing-qt-theme/35523/3
    # XDG_CURRENT_DESKTOP = "Hyprland";
    # XDG_SESSION_DESKTOP = "Hyprland";
    # XDG_SESSION_TYPE = "wayland";
    XDG_DATA_HOME = "~/.local/share";
    # GDK_BACKEND = "wayland";

    GTK_USE_PORTAL = "1";
    # QT_QPA_PLATFORM = "wayland;xcb";
    # QT_QPA_PLATFORM = "wayland";
    # QT_QPA_PLATFORMTHEME = "qt5ct";
    # # QT_STYLE_OVERRIDE = "cleanlooks";
    # QT_WAYLAND_DISABLE_WINDOWDECORATION = "1";
    # QT_AUTO_SCREEN_SCALE_FACTOR = "1";
    QT_SCALE_FACTOR_ROUNDING_POLICY = "RoundPreferFloor";

    # MOZ_ENABLE_WAYLAND = "1";

    # ELECTRON_OZONE_PLATFORM_HINT = "wayland";
    APPIMAGELAUNCHER_DISABLE ="1";
    # CLUTTER_BACKEND = "wayland";
    SDL_VIDEODRIVER = "wayland";
    LIBVA_DRIVER_NAME = "nvidia";

    # Replaces EGLStreams
    GBM_BACKEND = "nvidia-drm";
    __GLX_VENDOR_LIBRARY_NAME = "nvidia";

    # QT_LOGGING_RULES="*.debug=true";

    # Stolen from Plasma
    # KPACKAGE_DEP_RESOLVERS_PATH="/nix/store/219bis5qbxz1i66qgc0l8g8qr6nn7c5m-frameworkintegration-6.7.0/libexec/kf6/kpackagehandlers";
    # QT_PLUGIN_PATH="/home/wayne/.nix-profile/lib/qt-5.15.15/plugins:/home/wayne/.nix-profile/lib/qt-6/plugins:/nix/profile/lib/qt-5.15.15/plugins:/nix/profile/lib/qt-6/plugins:/home/wayne/.local/state/nix/profile/lib/qt-5.15.15/plugins:/home/wayne/.local/state/nix/profile/lib/qt-6/plugins:/etc/profiles/per-user/wayne/lib/qt-5.15.15/plugins:/etc/profiles/per-user/wayne/lib/qt-6/plugins:/nix/var/nix/profiles/default/lib/qt-5.15.15/plugins:/nix/var/nix/profiles/default/lib/qt-6/plugins:/run/current-system/sw/lib/qt-5.15.15/plugins:/run/current-system/sw/lib/qt-6/plugins";
  };

  # environment.etc = {
  #   "pipewire.conf.d/rt.conf".source = ./pipewire.conf.d/rt.conf;
  # };
}
